Eclipse Draw2d 3.7

## org.eclipse.draw2d
Class AbsoluteBendpoint

    java.lang.Object
      org.eclipse.draw2d.geometry.Point
          org.eclipse.draw2d.AbsoluteBendpoint

All Implemented Interfaces:
  Serializable, Cloneable, Bendpoint, Translatable

    public class AbsoluteBendpoint

extends Point
implements Bendpoint

AbsoluteBendpoint is a Bendpoint that defines its location simply as its X and Y coordinates. It is used by bendable `Connections`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.eclipse.draw2d.geometry.Point
`SINGLETON, x, y`

Constructor Summary
`AbsoluteBendpoint(int x, int y)` Creates a new AbsoluteBendpoint at the Point (x,y).
`AbsoluteBendpoint(Point p)` Creates a new AbsoluteBendpoint at the Point p.

Method Summary
`Point` `getLocation()` Returns the location of the bendpoint relative to the connection.

Methods inherited from class org.eclipse.draw2d.geometry.Point
`equals, equals, getCopy, getDifference, getDistance, getDistance2, getDistanceOrthogonal, getNegated, getPosition, getScaled, getSWTPoint, getTranslated, getTranslated, getTranslated, getTransposed, hashCode, max, min, negate, performScale, performTranslate, preciseX, preciseY, scale, scale, setLocation, setLocation, setX, setY, toString, translate, translate, translate, transpose, x, y`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbsoluteBendpoint

    public AbsoluteBendpoint(Point p)

  Creates a new AbsoluteBendpoint at the Point p.

  Parameters:
    `p` - The absolute location of the bendpoint
  Since:
    2.0

### AbsoluteBendpoint

    public AbsoluteBendpoint(int x,
                             int y)

  Creates a new AbsoluteBendpoint at the Point (x,y).

  Parameters:
    `x` - The X coordinate
    `y` - The Y coordinate
  Since:
    2.0

Method Detail

### getLocation

    public Point getLocation()

  Description copied from interface: `Bendpoint`
  Returns the location of the bendpoint relative to the connection. The returned value may be by reference. The caller should NOT modify the returned value.

  Specified by:
    `getLocation` in interface `Bendpoint`
  Returns:
    the location of the bendpoint relative to the Connection
  See Also:
    `Bendpoint.getLocation()`

Eclipse Draw2d 3.7

Copyright (c) IBM Corp. and others 2000, 2011. All Rights Reserved.